Update webhook
Download OpenAPIUpdates the callback_url, activation status, and subscribed event types. With regenerate_secret=true, the response data includes the new secret. It is shown only in that response and is not returned when the webhook is read later.
Authorization
api_key api_key<token>
In: query
Path Parameters
id*string
Webhook ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v2/webhooks/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee" \ -H "Content-Type: application/json" \ -d '{ "is_active": true, "regenerate_secret": false, "event_types": [ "tracking.eta_update", "tracking.history_update" ] }'{ "success": true, "data": { "id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee", "callback_url": "https://example.com/webhooks/timetocargo", "is_active": true, "event_types": [ "tracking.eta_update", "tracking.history_update", "tracking.info_found", "tracking.info_not_found", "tracking.auto_archiving", "tracking.delivered" ], "created_at": "2026-07-08T09:39:36.311Z", "updated_at": "2026-07-08T13:10:43.554Z" }, "status": "OK", "status_description": "Request completed successfully"}